Bug 1026847 - [abrt] evince-3.10.0-1.fc20: _cairo_winansi_to_glyphname: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] evince-3.10.0-1.fc20: _cairo_winansi_to_glyphname: Process /usr/bin/ev...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e5d975ea4c47769f9001d7e3586...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:18 EST by Carlos "casep" Sepulveda
Modified: 2015-06-29 08:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:49:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.15 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: core_backtrace (18.21 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: dso_list (11.18 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: environ (1.28 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: maps (36.84 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: open_fds (1.38 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: proc_pid_status (786 bytes, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details
File: var_log_messages (4.48 KB, text/plain)
2013-11-05 09:18 EST, Carlos "casep" Sepulveda
no flags Details

  None (edit)
Description Carlos "casep" Sepulveda 2013-11-05 09:18:14 EST
Description of problem:
Open a PDF document.
Ctrl+P
Preview

Version-Release number of selected component:
evince-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evince '/home/casep/Documents/ISC/Solicitud Reembolso Gastos Salud BICE Vida.pdf'
crash_function: _cairo_winansi_to_glyphname
executable:     /usr/bin/evince
kernel:         3.11.6-301.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cairo_winansi_to_glyphname at cairo-type1-glyph-names.c:404
 #1 write_used_glyphs at cairo-type1-subset.c:1147
 #2 cairo_type1_font_subset_for_each_glyph at cairo-type1-subset.c:1237
 #3 cairo_type1_font_subset_write_private_dict at cairo-type1-subset.c:1489
 #4 cairo_type1_font_subset_write at cairo-type1-subset.c:1596
 #5 cairo_type1_font_subset_generate at cairo-type1-subset.c:1668
 #6 _cairo_type1_subset_init at cairo-type1-subset.c:1733
 #8 _cairo_pdf_surface_emit_type1_font_subset at cairo-pdf-surface.c:5274
 #9 _cairo_pdf_surface_emit_unscaled_font_subset at cairo-pdf-surface.c:5801
 #10 _cairo_sub_font_collect at cairo-scaled-font-subsets.c:746

Potential duplicate: bug 919624
Comment 1 Carlos "casep" Sepulveda 2013-11-05 09:18:22 EST
Created attachment 819783 [details]
File: backtrace
Comment 2 Carlos "casep" Sepulveda 2013-11-05 09:18:25 EST
Created attachment 819784 [details]
File: cgroup
Comment 3 Carlos "casep" Sepulveda 2013-11-05 09:18:28 EST
Created attachment 819785 [details]
File: core_backtrace
Comment 4 Carlos "casep" Sepulveda 2013-11-05 09:18:31 EST
Created attachment 819786 [details]
File: dso_list
Comment 5 Carlos "casep" Sepulveda 2013-11-05 09:18:34 EST
Created attachment 819787 [details]
File: environ
Comment 6 Carlos "casep" Sepulveda 2013-11-05 09:18:38 EST
Created attachment 819788 [details]
File: exploitable
Comment 7 Carlos "casep" Sepulveda 2013-11-05 09:18:41 EST
Created attachment 819789 [details]
File: limits
Comment 8 Carlos "casep" Sepulveda 2013-11-05 09:18:46 EST
Created attachment 819790 [details]
File: maps
Comment 9 Carlos "casep" Sepulveda 2013-11-05 09:18:49 EST
Created attachment 819791 [details]
File: open_fds
Comment 10 Carlos "casep" Sepulveda 2013-11-05 09:18:55 EST
Created attachment 819792 [details]
File: proc_pid_status
Comment 11 Carlos "casep" Sepulveda 2013-11-05 09:18:58 EST
Created attachment 819793 [details]
File: var_log_messages
Comment 12 Seb L. 2014-11-20 05:25:42 EST
Another user experienced a similar problem:

Tried to print the two first pages of this PDF file :
  http://www.principiae.be/pdfs/ECV-1.01.pdf

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evince www.principiae.be/pdfs/ECV-1.01.pdf
crash_function: _cairo_winansi_to_glyphname
executable:     /usr/bin/evince
kernel:         3.17.2-200.fc20.x86_64
package:        evince-3.10.3-1.fc20
reason:         evince killed by SIGSEGV
runlevel:       N 5
type:           CCpp
Comment 13 Fedora End Of Life 2015-05-29 05:41:44 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-06-29 08:49:03 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.